Last Comment Bug 383065 - Back-port several nsWindow fixes to branch
: Back-port several nsWindow fixes to branch
Status: RESOLVED FIXED
[needs testcase]
: fixed1.8.1.5
Product: Core Graveyard
Classification: Graveyard
Component: Widget: BeOS (show other bugs)
: unspecified
: x86 BeOS
: -- normal (vote)
: mozilla1.8.1
Assigned To: Doug Shelton
:
:
Mentors:
Depends on: 296856 319881 321070
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-03 12:38 PDT by Doug Shelton
Modified: 2014-12-09 11:27 PST (History)
5 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
unified patch for backporting (49.33 KB, patch)
2007-06-03 12:46 PDT, Doug Shelton
thesuckiestemail: review+
dveditz: approval1.8.1.5+
Details | Diff | Splinter Review

Description Doug Shelton 2007-06-03 12:38:02 PDT
User-Agent:       Mozilla/5.0 (BeOS; U; BeOS BePC; en-US; rv:1.8.1.5pre) Gecko/20070603 BonEcho/2.0.0.5pre
Build Identifier: 

To improve reliability, we'd like to backport the changes from bug 296856, 319881 and 312070 to the Firfox 2.0 branch.  Only files in mozilla/widget/src/beos are changed.  These changes improve performance and add support for floating and modal windows.

Reproducible: Always

Steps to Reproduce:
1.
2.
3.
Comment 1 Doug Shelton 2007-06-03 12:46:53 PDT
Created attachment 267067 [details] [diff] [review]
unified patch for backporting

This patch was created after backporting the three bugs mentioned.  I could also create a separate patch and apply to each bug setting appropriate dependencies.  This is just a quick and easy way to get the code in for review.
Comment 2 Sergei Dolgov 2007-06-03 13:00:49 PDT
I think that build with back-ported patch need some public testing too.
Before further steps.
Comment 3 Elmar Ludwig 2007-06-04 10:04:10 PDT
Bug 312070 is probably a wrong bug number... (has nothing to do with BeOS)
Comment 4 Doug Shelton 2007-06-04 21:12:53 PDT
(In reply to comment #3)
> Bug 312070 is probably a wrong bug number... (has nothing to do with BeOS)
> 
Dyslexic fat-fingering strikes again.  Correct dependency is bug 321070.
Comment 5 Doug Shelton 2007-06-04 21:14:43 PDT
(In reply to comment #3)
> Bug 312070 is probably a wrong bug number... (has nothing to do with BeOS)
> 
Dyslexic fat-fingering strikes again.  Correct dependency is bug 321070.
Comment 6 Doug Shelton 2007-06-08 18:05:34 PDT
Comment on attachment 267067 [details] [diff] [review]
unified patch for backporting

frederick, please review if you have time.
Comment 7 tqh 2007-06-10 14:52:13 PDT
Comment on attachment 267067 [details] [diff] [review]
unified patch for backporting

changing attachment to patch
Comment 8 tqh 2007-06-14 13:22:51 PDT
Comment on attachment 267067 [details] [diff] [review]
unified patch for backporting

r=thesuckiestemail@yahoo.se
Looks ok to me
Comment 9 Doug Shelton 2007-06-14 18:05:27 PDT
gavin, since all changes are in beos code, is there any reason why we cannot update the branch with this code?
Comment 10 :Gavin Sharp [email: gavin@gavinsharp.com] 2007-06-14 20:37:35 PDT
No, there shouldn't be anything preventing this from landing on the branch. You do still need to request approval, however, unless you have a prior agreement with the 1.8[.0] branch drivers.
Comment 11 :Gavin Sharp [email: gavin@gavinsharp.com] 2007-06-17 20:31:50 PDT
You want to request approval1.8.1.5 on the attachment, not blocking1.8.1.5 on the bug - it's pretty unlikely that a BeOS bug is going to be blocking a branch release :).
Comment 12 Doug Shelton 2007-06-17 20:45:37 PDT
(In reply to comment #11)
> You want to request approval1.8.1.5 on the attachment, not blocking1.8.1.5 on
> the bug - it's pretty unlikely that a BeOS bug is going to be blocking a branch
> release :).
> 
(what's the emoticon for embarrassment?)  Very true.  How does one request approval?  I thought it might be requested via the "wanted 1.8.1.x" dropdown, but this dropdown is greyed out and non-functional here.
Comment 13 Doug Shelton 2007-06-17 20:46:52 PDT
(insert embarrassment icon again).  Just found the request on the attachment page.  "RTFM" even with comments.
Comment 14 Daniel Veditz [:dveditz] 2007-06-28 11:26:05 PDT
Comment on attachment 267067 [details] [diff] [review]
unified patch for backporting

approved for 1.8.1.5, a=dveditz for release-drivers
Comment 15 Sergei Dolgov 2007-07-03 02:34:45 PDT
cvs commit: Examining mozilla/widget/src/beos
Enter passphrase for key '/boot/home/.ssh/id_dsa':
Checking in mozilla/widget/src/beos/nsAppShell.cpp;
/cvsroot/mozilla/widget/src/beos/nsAppShell.cpp,v  <--  nsAppShell.cpp
new revision: 1.29.8.2; previous revision: 1.29.8.1
done
Checking in mozilla/widget/src/beos/nsAppShell.h;
/cvsroot/mozilla/widget/src/beos/nsAppShell.h,v  <--  nsAppShell.h
new revision: 1.10.28.2; previous revision: 1.10.28.1
done
Checking in mozilla/widget/src/beos/nsDragService.cpp;
/cvsroot/mozilla/widget/src/beos/nsDragService.cpp,v  <--  nsDragService.cpp
new revision: 1.13.28.4; previous revision: 1.13.28.3
done
Checking in mozilla/widget/src/beos/nsDragService.h;
/cvsroot/mozilla/widget/src/beos/nsDragService.h,v  <--  nsDragService.h
new revision: 1.4.28.3; previous revision: 1.4.28.2
done
Checking in mozilla/widget/src/beos/nsSwitchToUIThread.h;
/cvsroot/mozilla/widget/src/beos/nsSwitchToUIThread.h,v  <--  nsSwitchToUIThread.h
new revision: 1.4.28.1; previous revision: 1.4
done
Checking in mozilla/widget/src/beos/nsToolkit.cpp;
/cvsroot/mozilla/widget/src/beos/nsToolkit.cpp,v  <--  nsToolkit.cpp
new revision: 1.23.8.1; previous revision: 1.23
done
Checking in mozilla/widget/src/beos/nsToolkit.h;
/cvsroot/mozilla/widget/src/beos/nsToolkit.h,v  <--  nsToolkit.h
new revision: 1.5.8.1; previous revision: 1.5
done
Checking in mozilla/widget/src/beos/nsWindow.cpp;
/cvsroot/mozilla/widget/src/beos/nsWindow.cpp,v  <--  nsWindow.cpp
new revision: 1.91.4.26; previous revision: 1.91.4.25
done
Checking in mozilla/widget/src/beos/nsWindow.h;
/cvsroot/mozilla/widget/src/beos/nsWindow.h,v  <--  nsWindow.h
new revision: 1.35.4.15; previous revision: 1.35.4.14
done 
Comment 16 Sergei Dolgov 2007-07-03 02:37:50 PDT
probably something like FIXED1.5 should be added to "keywords".
right?

Note You need to log in before you can comment on or make changes to this bug.